Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.grouping.settings
Class GroupingColoring

    java.lang.Object
      infomat.view.grouping.settings.GroupingColoring

    public class GroupingColoring

extends java.lang.Object

Colors.

Field Summary
`private IObjectGrouping` | `coging`
`private static java.awt.Color[]` | `defaultColors`
`private java.util.HashMap<IObjectGroup,java.awt.Color>` | `groupColorMap`
`private java.util.HashMap<IObjectGroup,java.awt.Color>` | `newGroupColorMap`
`private boolean` | `rowColoring`
`private static java.awt.Color` | `standardBackground`
`private static java.awt.Color` | `standardForground`

Constructor Summary
`GroupingColoring(IObjectGrouping coging, boolean rowColoring)`

Method Summary
`void` | `changeToNewColors()`
`static java.awt.Color` | `getBackgroundColor()`
`java.awt.Color` | `getColorForGroup(IObjectGroup cog)`
`java.awt.Color` | `getColorForObject(IObject co)`
`static java.awt.Color` | `getForgroundColor()`
`IObjectGrouping` | `getIObjectGrouping()`
`java.awt.Color` | `getNewColorForGroup(IObjectGroup cog)`
`void` | `recolor()`
`void` | `resetColors()`
`void` | `setNewColorForGroup(java.awt.Color color, IObjectGroup cog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultColors

    private static java.awt.Color[] defaultColors

### standardBackground

    private static java.awt.Color standardBackground

### standardForground

    private static java.awt.Color standardForground

### rowColoring

    private boolean rowColoring

### coging

    private IObjectGrouping coging

### groupColorMap

    private java.util.HashMap<IObjectGroup,java.awt.Color> groupColorMap

### newGroupColorMap

    private java.util.HashMap<IObjectGroup,java.awt.Color> newGroupColorMap

Constructor Detail

### GroupingColoring

    public GroupingColoring(IObjectGrouping coging,
                            boolean rowColoring)

Method Detail

### resetColors

    public void resetColors()

### recolor

    public void recolor()

### getColorForGroup

    public java.awt.Color getColorForGroup(IObjectGroup cog)

### getNewColorForGroup

    public java.awt.Color getNewColorForGroup(IObjectGroup cog)

### setNewColorForGroup

    public void setNewColorForGroup(java.awt.Color color,
                                    IObjectGroup cog)

### changeToNewColors

    public void changeToNewColors()

### getColorForObject

    public java.awt.Color getColorForObject(IObject co)

### getIObjectGrouping

    public IObjectGrouping getIObjectGrouping()

### getBackgroundColor

    public static java.awt.Color getBackgroundColor()

### getForgroundColor

    public static java.awt.Color getForgroundColor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD